<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="12">
      <mb-select-unit
        [mbType]="
          isSubmitted && form.controls['unit'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['unit'].errors !== null"
        [mbErrors]="form.controls['unit'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.treatmentPlace.label.unit'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.treatmentPlace.label.unit'
        }}"
        mbLabelText="{{
          'insurance.treatmentPlace.label.unit' | translate
        }} <span class='label__required'>*</span>"
        formControlName="unit"
      ></mb-select-unit>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="locationOptions"
        [mbType]="
          isSubmitted && form.controls['provinceCode'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['provinceCode'].errors !== null
        "
        [mbErrors]="form.controls['provinceCode'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.treatmentPlace.label.province'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.treatmentPlace.label.province'
        }}"
        mbLabelText="{{
          'insurance.treatmentPlace.label.province' | translate
        }} <span class='label__required'>*</span>"
        formControlName="provinceCode"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['code'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['code'].errors !== null"
        [mbErrors]="form.controls['code'].errors"
        [mbMaxLength]="50"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.treatmentPlace.label.codeRegisterPlace'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.treatmentPlace.label.codeRegisterPlace'
        }}"
        mbLabelText="{{
          'insurance.treatmentPlace.label.codeRegisterPlace' | translate
        }} <span class='label__required'>*</span>"
        formControlName="code"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['name'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
        [mbErrors]="form.controls['name'].errors"
        [mbMaxLength]="100"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '100' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.treatmentPlace.label.nameRegisterPlace'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.treatmentPlace.label.nameRegisterPlace'
        }}"
        mbLabelText="{{
          'insurance.treatmentPlace.label.nameRegisterPlace' | translate
        }} <span class='label__required'>*</span>"
        formControlName="name"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="statusOptions"
        [mbType]="
          isSubmitted && form.controls['flagStatus'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['flagStatus'].errors !== null
        "
        [mbErrors]="form.controls['flagStatus'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.flagStatus'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.common.label.flagStatus'
        }}"
        mbLabelText="{{
          'insurance.common.label.flagStatus' | translate
        }} <span class='label__required'>*</span>"
        formControlName="flagStatus"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="newAcceptanceOptions"
        [mbType]="
          isSubmitted && form.controls['newAcceptance'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['newAcceptance'].errors !== null
        "
        [mbErrors]="form.controls['newAcceptance'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.treatmentPlace.label.newAcceptance'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.treatmentPlace.label.newAcceptance'
        }}"
        mbLabelText="{{
          'insurance.treatmentPlace.label.newAcceptance' | translate
        }} <span class='label__required'>*</span>"
        formControlName="newAcceptance"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="
          isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
        [mbErrors]="form.controls['fromDate'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.fromDate'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.common.label.fromDate'
        }}"
        mbLabelText="{{
          'insurance.common.label.fromDate' | translate
        }} <span class='label__required'>*</span>"
        formControlName="fromDate"
      ></mb-date-picker>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        formControlName="toDate"
        mbLabelText="{{ 'insurance.common.label.toDate' | translate }}"
      ></mb-date-picker>
    </div>
    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['description'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['description'].errors !== null
        "
        [mbErrors]="form.controls['description'].errors"
        [mbMaxLength]="250"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '250' }
          }
        ]"
        formControlName="description"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.common.label.description'
        }}"
        mbLabelText="{{ 'insurance.common.label.description' | translate }}"
      >
      </mb-input-text>
    </div>
  </div>
</form>
